clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::readability::BracesAroundStatementsCheck Class Reference

Checks that bodies of `if` statements and loops (`for`, `range-for`, `do-while`, and `while`) are inside braces. More...

`#include <BracesAroundStatementsCheck.h>`

Inheritance diagram for clang::tidy::readability::BracesAroundStatementsCheck:
[legend]
Collaboration diagram for clang::tidy::readability::BracesAroundStatementsCheck:
[legend]

## Public Member Functions
| BracesAroundStatementsCheck (StringRef Name, ClangTidyContext *Context)
void | storeOptions (ClangTidyOptions::OptionMap &Opts) override
| Should store all options supported by this check with their current values or default values for options that haven't been overridden. More...
void | registerMatchers (ast_matchers::MatchFinder *Finder) override
| Override this to register ASTMatchers with `Finder`. More...
void | check (const ast_matchers::MatchFinder::MatchResult &Result) override
| `ClangTidyChecks` that register ASTMatchers should do the actual work in here. More...
void | onEndOfTranslationUnit () override
Public Member Functions inherited from clang::tidy::ClangTidyCheck
| ClangTidyCheck (StringRef CheckName, ClangTidyContext *Context)
| Initializes the check with `CheckName` and `Context`. More...
virtual void | registerPPCallbacks (CompilerInstance &Compiler)
| Override this to register `PPCallbacks` with `Compiler`. More...
DiagnosticBuilder | diag (SourceLocation Loc, StringRef Description, DiagnosticIDs::Level Level=DiagnosticIDs::Warning)
| Add a diagnostic with the check's name. More...

## Additional Inherited Members
Protected Member Functions inherited from clang::tidy::ClangTidyCheck
StringRef | getCurrentMainFile () const
| Returns the main file name of the current translation unit. More...
LangOptions | getLangOpts () const
| Returns the language options from the context. More...
Protected Attributes inherited from clang::tidy::ClangTidyCheck
OptionsView | Options

## Detailed Description

Checks that bodies of `if` statements and loops (`for`, `range-for`, `do-while`, and `while`) are inside braces.

Before:

if (condition)
statement;

After:

if (condition) {
statement;
}

Additionally, one can define an option `ShortStatementLines` defining the minimal number of lines that the statement should have in order to trigger this check.

The number of lines is counted from the end of condition or initial keyword (`do`/`else`) until the last line of the inner statement. Default value 0 means that braces will be added to all statements (not having them already).

Definition at line 44 of file BracesAroundStatementsCheck.h.

## Constructor & Destructor Documentation

clang::tidy::readability::BracesAroundStatementsCheck::BracesAroundStatementsCheck | ( | StringRef | Name,
|  | ClangTidyContext * | Context
| ) |  |

Definition at line 114 of file BracesAroundStatementsCheck.cpp.

## Member Function Documentation

void clang::tidy::readability::BracesAroundStatementsCheck::check | ( | const ast_matchers::MatchFinder::MatchResult & | Result | ) |
| override virtual

`ClangTidyChecks` that register ASTMatchers should do the actual work in here.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 134 of file BracesAroundStatementsCheck.cpp.

References Context, and SM.

void clang::tidy::readability::BracesAroundStatementsCheck::onEndOfTranslationUnit | ( |  | ) |
| override

Definition at line 268 of file BracesAroundStatementsCheck.cpp.

void clang::tidy::readability::BracesAroundStatementsCheck::registerMatchers | ( | ast_matchers::MatchFinder * | Finder | ) |
| override virtual

Override this to register ASTMatchers with `Finder`.

This should be used by clang-tidy checks that analyze code properties that dependent on AST knowledge.

You can register as many matchers as necessary with `Finder`. Usually, "this" will be used as callback, but you can also specify other callback classes. Thereby, different matchers can trigger different callbacks.

If you need to merge information between the different matchers, you can store these as members of the derived class. However, note that all matches occur in the order of the AST traversal.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 125 of file BracesAroundStatementsCheck.cpp.

void clang::tidy::readability::BracesAroundStatementsCheck::storeOptions | ( | ClangTidyOptions::OptionMap & | Options | ) |
| override virtual

Should store all options supported by this check with their current values or default values for options that haven't been overridden.

The check should use `Options.store()` to store each option it supports whether it has the default value or it has been overridden.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 121 of file BracesAroundStatementsCheck.cpp.

References clang::tidy::ClangTidyCheck::Options, and clang::tidy::OptionsView::store().

The documentation for this class was generated from the following files:

- BracesAroundStatementsCheck.h
- BracesAroundStatementsCheck.cpp